## python-cryptography 44.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Cryptography.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Cryptography.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Cryptography"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Cryptography"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-cryptography 0.5.2

=== debian/changelog ===
python-cryptography (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Add python{,3}-cryptography-vectors to Suggests.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 27 Jul 2014 18:07:42 +0200

python-cryptography (0.4-2) unstable; urgency=medium

  * Enable test suite at build time.
  * Enable test suite via autopkgtest.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 16 Jun 2014 21:29:23 +0200

python-cryptography (0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 03 May 2014 18:00:14 +0200

python-cryptography (0.3-1) unstable; urgency=medium

  * New upstream release.
    - The test vectors are now in a separate top-level package (will be
      packaged in a separate source package, see #742911).
    - Upstream now ships their docs (the previous release was accidentally
      missing the docs); these are placed in a new Debian package
      python-cryptography-doc.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 29 Mar 2014 01:01:04 +0200

python-cryptography (0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #737356)

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 21 Feb 2014 18:36:35 +0200

=== debian/control ===
Source: python-cryptography
Maintainer: Tristan Seligmann <mithrandi@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all-dev,
 python3-all-dev,
 python-setuptools,
 python3-setuptools,
 python-cffi (>= 0.8),
 python3-cffi (>= 0.8),
 python-six (>= 1.4.1),
 python3-six (>= 1.4.1),
 libssl-dev,
 python-cryptography-vectors (>= 0.5.2),
 python-cryptography-vectors (<< 0.6~),
 python3-cryptography-vectors (>= 0.5.2),
 python3-cryptography-vectors (<< 0.6~),
 python-iso8601,
 python3-iso8601,
 python-pytest,
 python3-pytest,
 python-pretend,
 python3-pretend,
 python-pyasn1,
 python3-pyasn1,
Standards-Version: 3.9.5
Homepage: https://cryptography.io/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cryptography/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cryptography/trunk/
XS-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: python-cryptography
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-cryptography-doc, python-cryptography-vectors
Description: Python library exposing cryptographic recipes and primitives (Python 2)
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.
 .
 This package contains the Python 2 version of cryptography.

Package: python3-cryptography
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-cryptography-doc, python3-cryptography-vectors
Description: Python library exposing cryptographic recipes and primitives (Python 3)
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.
 .
 This package contains the Python 3 version of cryptography.

Package: python-cryptography-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Python library exposing cryptographic recipes and primitives (documentation)
 The cryptography library is designed to be a "one-stop-shop" for
 all your cryptographic needs in Python.
 .
 As an alternative to the libraries that came before it, cryptography
 tries to address some of the issues with those libraries:
  - Lack of PyPy and Python 3 support.
  - Lack of maintenance.
  - Use of poor implementations of algorithms (i.e. ones with known
    side-channel attacks).
  - Lack of high level, "Cryptography for humans", APIs.
  - Absence of algorithms such as AES-GCM.
  - Poor introspectability, and thus poor testability.
  - Extremely error prone APIs, and bad defaults.
 .
 This package contains the documentation for cryptography.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cryptography
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests/


%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_auto_clean:
	dh_auto_clean
	rm -rf cryptography/hazmat/bindings/__pycache__ \
	       cryptography/hazmat/primitives/__pycache__


override_dh_python3:
	dh_python3
	rm -rf debian/python3-cryptography/usr/lib/python3.?

## python-cryptography 0.6.1

=== debian/changelog ===
python-cryptography (0.6.1-1+deb8u1) stable; urgency=high

  * Stable update.
  * Backport the fix for CVE-2016-9243 (HKDF returns an empty byte string
    for small key sizes).
  * Fix FTBFS due to SSL2 method detection (closes: #849802).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 01 Jan 2017 22:19:17 +0200

python-cryptography (0.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with OpenSSL 1.0.1j caused by API change (closes: #765544).
    - No other upstream changes that affect Debian.
  * Bump Standard-Version to 3.9.6 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 16 Oct 2014 06:45:38 +0200

python-cryptography (0.6-1) unstable; urgency=medium

  * New upstream release.
    - Copy .egg-info into build directory so entry points can be found by the
      tests.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 30 Sep 2014 06:33:34 +0200

python-cryptography (0.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 21 Aug 2014 19:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
  python-six (>= 1.4.1),
  python3-six (>= 1.4.1),
  libssl-dev,
- python-cryptography-vectors (>= 0.5.2),
- python-cryptography-vectors (<< 0.6~),
- python3-cryptography-vectors (>= 0.5.2),
- python3-cryptography-vectors (<< 0.6~),
+ python-cryptography-vectors (>= 0.6.1),
+ python-cryptography-vectors (<< 0.6.2~),
+ python3-cryptography-vectors (>= 0.6.1),
+ python3-cryptography-vectors (<< 0.6.2~),
  python-iso8601,
  python3-iso8601,
  python-pytest,
@@ -26,7 +26,7 @@
  python3-pretend,
  python-pyasn1,
  python3-pyasn1,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://cryptography.io/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cryptography/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cryptography/trunk/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 export PYBUILD_NAME=cryptography
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS={dir}/tests/
+export PYBUILD_BEFORE_TEST=cp -R {dir}/${PYBUILD_NAME}.egg-info {build_dir}
 
 
 %:

=== debian/tests/control ===
Tests: python2 python3
Depends: @, @builddeps@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.python.org/packages/source/c/cryptography/cryptography-(.*).tar.gz

## python-cryptography 0.8

=== debian/changelog ===
python-cryptography (0.8-1ubuntu2~cloud0) trusty-kilo; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Apr 2015 05:50:24 +0000

python-cryptography (0.8-1ubuntu2) vivid; urgency=medium

  * Fix autopkg test failure, testsuite needs write access to the installed
    files.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Mar 2015 20:20:11 +0100

python-cryptography (0.8-1ubuntu1) vivid; urgency=medium

  * Relax the build dependency on libssl-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Mar 2015 18:33:56 +0100

python-cryptography (0.8-1) experimental; urgency=low

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 09 Mar 2015 01:58:33 +0200

python-cryptography (0.7.2-1) experimental; urgency=low

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 16 Jan 2015 16:19:19 +0200

python-cryptography (0.7.1-1) experimental; urgency=low

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 29 Dec 2014 03:53:14 +0200

python-cryptography (0.7-1) experimental; urgency=medium

  * New upstream release.
    - Fix FTBFS with OpenSSL in experimental due to missing SSL3
      support (closes: #772842).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Dec 2014 16:36:42 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  python3-cffi (>= 0.8),
  python-six (>= 1.4.1),
  python3-six (>= 1.4.1),
- libssl-dev,
- python-cryptography-vectors (>= 0.6.1),
- python-cryptography-vectors (<< 0.6.2~),
- python3-cryptography-vectors (>= 0.6.1),
- python3-cryptography-vectors (<< 0.6.2~),
+ libssl-dev (>= 1.0.1f),
+ python-cryptography-vectors (>= 0.8~),
+ python-cryptography-vectors (<< 0.8.1~),
+ python3-cryptography-vectors (>= 0.8~),
+ python3-cryptography-vectors (<< 0.8.1~),
  python-iso8601,
  python3-iso8601,
  python-pytest,
@@ -26,6 +26,8 @@
  python3-pretend,
  python-pyasn1,
  python3-pyasn1,
+ python-enum34,
+ python3-enum34
 Standards-Version: 3.9.6
 Homepage: https://cryptography.io/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cryptography/trunk/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=cryptography
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS={dir}/tests/
-export PYBUILD_BEFORE_TEST=cp -R {dir}/${PYBUILD_NAME}.egg-info {build_dir}
+export PYBUILD_BEFORE_TEST=cp -R {dir}/src/${PYBUILD_NAME}.egg-info {build_dir}
 
 
 %:

## python-cryptography 0.8.2

=== debian/changelog ===
python-cryptography (0.8.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 05 May 2015 21:38:48 +0200

python-cryptography (0.8.2-2) unstable; urgency=medium

  * Reupload to unstable (no changes, closes: #783585).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 28 Apr 2015 16:30:16 +0200

python-cryptography (0.8.2-1) experimental; urgency=low

  * New upstream release.
    - Fixed a race condition when initializing the OpenSSL or CommonCrypto
      backends in a multi-threaded scenario.
  * Relax libssl-dev dependency as all versions currently in Debian should
    be compatible (closes: #780715).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 11 Apr 2015 04:01:24 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
  python3-cffi (>= 0.8),
  python-six (>= 1.4.1),
  python3-six (>= 1.4.1),
- libssl-dev (>= 1.0.1f),
- python-cryptography-vectors (>= 0.8~),
- python-cryptography-vectors (<< 0.8.1~),
- python3-cryptography-vectors (>= 0.8~),
- python3-cryptography-vectors (<< 0.8.1~),
+ libssl-dev,
+ python-cryptography-vectors (>= 0.8.2~),
+ python-cryptography-vectors (<< 0.8.3~),
+ python3-cryptography-vectors (>= 0.8.2~),
+ python3-cryptography-vectors (<< 0.8.3~),
  python-iso8601,
  python3-iso8601,
  python-pytest,

=== debian/tests/control ===
Tests: python2 python3
Depends: @, @builddeps@
Restrictions: needs-root

## python-cryptography 1.0.1

=== debian/changelog ===
python-cryptography (1.0.1-1ubuntu1~cloud1.2) trusty-liberty; urgency=medium

  * d/p/fix-attribute-error-in-consume-errors.patch: Cherry-pick patch from
    upstream to fix AttributeError: 'int' object has no attribute 'ERR_GET_FUNC'
    (LP: #1601986).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Dec 2016 09:35:52 -0500

python-cryptography (1.0.1-1ubuntu1~cloud1.1) trusty-liberty; urgency=medium

  * d/p/make-engine-addition-idempotent.patch,
    d/p/convert-asserts-in-bindings-as-well.patch: Cherry-pick patches from
    upstream to prevent "RuntimeError: osrandom engine already registered"
    error by making engine addition idempotent (LP: #1601986).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Dec 2016 15:56:31 -0500

python-cryptography (1.0.1-1ubuntu1~cloud1) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 23 Nov 2015 17:40:42 +0000

python-cryptography (1.0.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build-depend on python-ipaddress instead of python-ipaddr (test failures).
    - Don't apply the ipaddr-fallback patch.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Sep 2015 15:16:20 +0200

python-cryptography (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 09 Sep 2015 12:31:22 +0200

python-cryptography (1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 30 Aug 2015 01:42:07 +0200

python-cryptography (1.0-1) experimental; urgency=medium

  * New upstream release.
    - Requires at least cffi 1.1.
  * Ship pydist files for cryptography.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 13 Aug 2015 10:18:48 +0200

python-cryptography (0.9.3-1) unstable; urgency=low

  * New upstream release (closes: #789768).
  * Drop unneeded python3-enum34 dependency (Python versions earlier than
    3.4 were dropped in jessie; restore this dependency if backporting to
    wheezy or before; closes: #793615).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 26 Jul 2015 13:04:14 +0200

python-cryptography (0.9.3-0ubuntu3) wily; urgency=medium

  * New upstream release.
  * Build-depend on python-ipaddress instead of python-ipaddr (test failures).
  * Don't apply the ipaddr-fallback patch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jul 2015 12:07:54 +0200

python-cryptography (0.8.2-3) unstable; urgency=medium

  * Add needs-root for autopkgtest (via patch from Matthias Klose in
    Ubuntu).
  * Remove unnecessary versioned build-depends.
  * Remove unnecessary control field prefixes.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 12 May 2015 15:09:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,47 @@
 Source: python-cryptography
-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper (>= 9),
  dh-python,
+ libssl-dev,
  python-all-dev,
+ python-cffi (>= 1.1.0~),
+ python-cryptography-vectors (<< 1.0.2~),
+ python-cryptography-vectors (>= 1.0.1~),
+ python-enum34,
+ python-idna,
+ python-ipaddress,
+ python-iso8601,
+ python-pretend,
+ python-pyasn1,
+ python-pytest,
+ python-setuptools,
+ python-six (>= 1.4.1),
  python3-all-dev,
- python-setuptools,
+ python3-cffi (>= 1.1.0~),
+ python3-cryptography-vectors (<< 1.0.2~),
+ python3-cryptography-vectors (>= 1.0.1~),
+ python3-idna,
+ python3-iso8601,
+ python3-pretend,
+ python3-pyasn1,
+ python3-pytest,
  python3-setuptools,
- python-cffi (>= 0.8),
- python3-cffi (>= 0.8),
- python-six (>= 1.4.1),
  python3-six (>= 1.4.1),
- libssl-dev,
- python-cryptography-vectors (>= 0.8.2~),
- python-cryptography-vectors (<< 0.8.3~),
- python3-cryptography-vectors (>= 0.8.2~),
- python3-cryptography-vectors (<< 0.8.3~),
- python-iso8601,
- python3-iso8601,
- python-pytest,
- python3-pytest,
- python-pretend,
- python3-pretend,
- python-pyasn1,
- python3-pyasn1,
- python-enum34,
- python3-enum34
 Standards-Version: 3.9.6
 Homepage: https://cryptography.io/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cryptography/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cryptography/trunk/
-XS-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-XS-Testsuite: autopkgtest
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.4
+Testsuite: autopkgtest
 
 Package: python-cryptography
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Suggests: python-cryptography-doc, python-cryptography-vectors
 Description: Python library exposing cryptographic recipes and primitives (Python 2)
  The cryptography library is designed to be a "one-stop-shop" for
@@ -59,7 +62,7 @@
 
 Package: python3-cryptography
 Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Suggests: python-cryptography-doc, python3-cryptography-vectors
 Description: Python library exposing cryptographic recipes and primitives (Python 3)
  The cryptography library is designed to be a "one-stop-shop" for

## python-cryptography 1.2.3

=== debian/changelog ===
python-cryptography (1.2.3-1ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Bleichenbacher timing oracle attack
    - debian/patches/CVE-2020-25659.patch: Attempt to mitigate
      Bleichenbacher attacks on RSA decryption docs/spelling_wordlist.txt,
      src/cryptography/hazmat/backends/openssl/rsa.py.
    - CVE-2020-25659

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 28 Oct 2020 11:55:13 -0300

python-cryptography (1.2.3-1ubuntu0.2) xenial-security; urgency=medium

  * debian/patches/add_x509_up_ref.patch: add X509_up_ref function for
    pyopenssl security update.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Oct 2018 07:18:59 -0400

python-cryptography (1.2.3-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: HKDF might return an empty byte-string
    - debian/patches/CVE-2016-9243.patch: fix short length handling in
      src/cryptography/hazmat/primitives/kdf/hkdf.py, added test to
      tests/hazmat/primitives/test_hkdf.py.
    - CVE-2016-9243

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Nov 2016 10:20:34 -0500

python-cryptography (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 05 Mar 2016 05:40:58 +0200

python-cryptography (1.2.2-3) unstable; urgency=medium

  * Add autopkgtest and support "nocheck" profile.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Turn on "bindnow" hardening option.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 22 Feb 2016 02:29:44 +0200

python-cryptography (1.2.2-2) unstable; urgency=medium

  * Import a0bef9dfde0e94bd1a01db1b4fa51632ac842ee7 from upstream: fixes
    memory corruption in test suite (probably only affects 32-bit
    architectures).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 08 Feb 2016 20:44:24 +0200

python-cryptography (1.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Switch to https in Vcs-Git.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 04 Feb 2016 07:28:12 +0200

python-cryptography (1.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 23 Jan 2016 04:19:44 +0200

python-cryptography (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 24 Nov 2015 22:52:31 +0200

python-cryptography (1.1-1) unstable; urgency=medium

  * New upstream release.
    - Add new testing dependencies (pyasn1_modules and hypothesis).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 29 Oct 2015 09:13:24 +0200

python-cryptography (1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix a potential security issue when running Python in -O mode.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 28 Sep 2015 06:36:07 +0200

python-cryptography (1.0.1-4) unstable; urgency=medium

  * Remove cffi from requires.txt after dh_python[23] runs
    (closes: #799628).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 21 Sep 2015 01:28:46 +0200

python-cryptography (1.0.1-3) unstable; urgency=medium

  * Drop cffi pydist overrides, as cffi now ships pydist files which are
    important not to override due to ABI versioning.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 19 Sep 2015 00:23:26 +0200

python-cryptography (1.0.1-2) unstable; urgency=medium

  * Fix build-dependencies and pydist-overrides to make sure the correct
    versioned dependencies are used everywhere (closes: #799077).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 17 Sep 2015 16:35:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,45 @@
 Source: python-cryptography
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20141010),
+ dpkg-dev (>= 1.17.14),
  dh-python,
  libssl-dev,
  python-all-dev,
  python-cffi (>= 1.1.0~),
- python-cryptography-vectors (<< 1.0.2~),
- python-cryptography-vectors (>= 1.0.1~),
+ python-cryptography-vectors (<< 1.2.4~) <!nocheck>,
+ python-cryptography-vectors (>= 1.2.3~) <!nocheck>,
  python-enum34,
- python-idna,
+ python-hypothesis <!nocheck>,
+ python-idna (>= 2.0~),
  python-ipaddress,
- python-iso8601,
- python-pretend,
- python-pyasn1,
- python-pytest,
+ python-iso8601 <!nocheck>,
+ python-pretend <!nocheck>,
+ python-pyasn1 (>= 0.1.8~),
+ python-pyasn1-modules <!nocheck>,
+ python-pytest <!nocheck>,
  python-setuptools,
- python-six (>= 1.4.1),
+ python-six (>= 1.4.1~),
  python3-all-dev,
  python3-cffi (>= 1.1.0~),
- python3-cryptography-vectors (<< 1.0.2~),
- python3-cryptography-vectors (>= 1.0.1~),
- python3-idna,
- python3-iso8601,
- python3-pretend,
- python3-pyasn1,
- python3-pytest,
+ python3-cryptography-vectors (<< 1.2.4~) <!nocheck>,
+ python3-cryptography-vectors (>= 1.2.3~) <!nocheck>,
+ python3-hypothesis <!nocheck>,
+ python3-idna (>= 2.0~),
+ python3-iso8601 <!nocheck>,
+ python3-pretend <!nocheck>,
+ python3-pyasn1 (>= 0.1.8~),
+ python3-pyasn1-modules <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six (>= 1.4.1),
-Standards-Version: 3.9.6
+ python3-six (>= 1.4.1~),
+Standards-Version: 3.9.7
 Homepage: https://cryptography.io/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cryptography/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cryptography/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cryptography.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cryptography.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.4
 Testsuite: autopkgtest

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 export PYBUILD_NAME=cryptography
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_TEST_ARGS={dir}/tests/
 export PYBUILD_BEFORE_TEST=cp -R {dir}/src/${PYBUILD_NAME}.egg-info {build_dir}
+export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis
 
 
 %:
@@ -16,6 +19,18 @@
 	       cryptography/hazmat/primitives/__pycache__
 
 
+override_dh_python2:
+	dh_python2
+	# Remove "cffi" from requires after dh_python has seen it (so that the
+	# pydist file takes effect), because it is not actually needed at
+	# runtime.
+	sed -i '/^cffi/d' \
+	    debian/python-cryptography/usr/lib/python*/dist-packages/cryptography*.egg-info/requires.txt
+
+
 override_dh_python3:
 	dh_python3
 	rm -rf debian/python3-cryptography/usr/lib/python3.?
+	# See comment in override_dh_python2
+	sed -i '/^cffi/d' \
+	    debian/python3-cryptography/usr/lib/python3/dist-packages/cryptography*.egg-info/requires.txt

=== debian/tests/control ===
Test-Command: for p in $(pyversions -s) $(py3versions -s); do $p -m pytest tests/; done
Depends:
 python-all,
 python-cryptography,
 python-cryptography-vectors,
 python-hypothesis,
 python-iso8601,
 python-pretend,
 python-pyasn1-modules,
 python-pytest,
 python3-all,
 python3-cryptography,
 python3-cryptography-vectors,
 python3-hypothesis,
 python3-iso8601,
 python3-pretend,
 python3-pyasn1-modules,
 python3-pytest,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/cryptography/cryptography-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cryptography 1.3.4

=== debian/changelog ===
python-cryptography (1.3.4-1~bpo8+2) jessie-backports; urgency=medium

  * Restore cffi workaround that is still necessary.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 22 Jun 2016 23:22:02 +0200

python-cryptography (1.3.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 20 Jun 2016 18:06:58 +0200

python-cryptography (1.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove some workarounds from rules that should no longer be necessary.
  * Fix cffi build-dependency version (closes: #826204).
  * Update py{,3}dist-overrides to get correct version bounds on
    everything (closes: #821030).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 03 Jun 2016 15:20:10 +0200

python-cryptography (1.3.1-2) unstable; urgency=medium

  * Actually build and ship the Sphinx documentation (closes: #823375).
    - The "nodoc" build profile is now supported.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 04 May 2016 04:50:24 +0200

python-cryptography (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 06 Apr 2016 22:49:34 +0200

python-cryptography (1.1.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 18 Jan 2016 21:05:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-cryptography
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -9,9 +8,9 @@
  dh-python,
  libssl-dev,
  python-all-dev,
- python-cffi (>= 1.1.0~),
- python-cryptography-vectors (<< 1.2.4~) <!nocheck>,
- python-cryptography-vectors (>= 1.2.3~) <!nocheck>,
+ python-cffi (>= 1.4.1~),
+ python-cryptography-vectors (<< 1.3.5~) <!nocheck>,
+ python-cryptography-vectors (>= 1.3.4~) <!nocheck>,
  python-enum34,
  python-hypothesis <!nocheck>,
  python-idna (>= 2.0~),
@@ -21,22 +20,24 @@
  python-pyasn1 (>= 0.1.8~),
  python-pyasn1-modules <!nocheck>,
  python-pytest <!nocheck>,
- python-setuptools,
+ python-setuptools (>= 11.3~),
  python-six (>= 1.4.1~),
  python3-all-dev,
- python3-cffi (>= 1.1.0~),
- python3-cryptography-vectors (<< 1.2.4~) <!nocheck>,
- python3-cryptography-vectors (>= 1.2.3~) <!nocheck>,
+ python3-cffi (>= 1.4.1~),
+ python3-cryptography-vectors (<< 1.3.5~) <!nocheck>,
+ python3-cryptography-vectors (>= 1.3.4~) <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-idna (>= 2.0~),
+ python-sphinx-rtd-theme <!nodoc>,
+ python3-sphinx <!nodoc>,
  python3-iso8601 <!nocheck>,
  python3-pretend <!nocheck>,
  python3-pyasn1 (>= 0.1.8~),
  python3-pyasn1-modules <!nocheck>,
  python3-pytest <!nocheck>,
- python3-setuptools,
+ python3-setuptools (>= 11.3~),
  python3-six (>= 1.4.1~),
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://cryptography.io/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cryptography.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cryptography.git
@@ -88,8 +89,9 @@
 
 Package: python-cryptography-doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Section: doc
+Build-Profiles: <!nodoc>
 Description: Python library exposing cryptographic recipes and primitives (documentation)
  The cryptography library is designed to be a "one-stop-shop" for
  all your cryptographic needs in Python.

## python-cryptography 1.5

=== debian/changelog ===
python-cryptography (1.5-2ubuntu0.1~cloud2) xenial-newton; urgency=medium

  * d/control: Reverted addition of python-cffi as it is not apparently
    necessary.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Mar 2018 16:24:58 -0500

python-cryptography (1.5-2ubuntu0.1~cloud1) xenial-newton; urgency=medium

  * d/control: Add python-cffi to binary package dependencies (LP: #1752660).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Mar 2018 14:50:39 -0500

python-cryptography (1.5-2ubuntu0.1~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 28 Nov 2016 20:10:16 +0000

python-cryptography (1.5-2ubuntu0.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: HKDF might return an empty byte-string
    - debian/patches/CVE-2016-9243.patch: fix short length handling in
      src/cryptography/hazmat/primitives/kdf/hkdf.py, added test to
      tests/hazmat/primitives/test_hkdf.py.
    - CVE-2016-9243

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 17 Nov 2016 10:18:38 -0500

python-cryptography (1.5-2) unstable; urgency=medium

  * Add missing test dependency on python{,3}-tz.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 10 Sep 2016 15:40:13 +0200

python-cryptography (1.5-1) unstable; urgency=medium

  * New upstream release.
    - Compatible with OpenSSL 1.1.0 (closes: #828518).
  * Version setuptools dependency.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 26 Aug 2016 18:25:12 +0200

python-cryptography (1.4-2) unstable; urgency=medium

  * Fix typo in overrides file.
  * Add Breaks: on python{,3}-openssl because of incompatibilities between
    older PyOpenSSL and Cryptography (see
    https://github.com/pyca/pyopenssl/pull/406 for details).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 16 Jul 2016 07:12:08 +0200

python-cryptography (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Depend on a new enough dh-python (necessary to handle the python-cffi
    mapping correctly) (closes: #827925; technically not present in
    testing/unstable anyway).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jun 2016 00:26:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,45 @@
 Source: python-cryptography
-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper (>= 9.20141010),
+ dh-python (>= 2.20151103),
  dpkg-dev (>= 1.17.14),
- dh-python,
  libssl-dev,
  python-all-dev,
  python-cffi (>= 1.4.1~),
- python-cryptography-vectors (<< 1.3.5~) <!nocheck>,
- python-cryptography-vectors (>= 1.3.4~) <!nocheck>,
+ python-cryptography-vectors (<< 1.5.1~),
+ python-cryptography-vectors (>= 1.5~),
  python-enum34,
- python-hypothesis <!nocheck>,
+ python-hypothesis,
  python-idna (>= 2.0~),
  python-ipaddress,
- python-iso8601 <!nocheck>,
- python-pretend <!nocheck>,
+ python-iso8601,
+ python-pretend,
  python-pyasn1 (>= 0.1.8~),
- python-pyasn1-modules <!nocheck>,
- python-pytest <!nocheck>,
- python-setuptools (>= 11.3~),
+ python-pyasn1-modules,
+ python-pytest (>= 2.9.0),
+ python-setuptools (>= 11.3),
  python-six (>= 1.4.1~),
+ python-sphinx-rtd-theme,
+ python-tz,
  python3-all-dev,
  python3-cffi (>= 1.4.1~),
- python3-cryptography-vectors (<< 1.3.5~) <!nocheck>,
- python3-cryptography-vectors (>= 1.3.4~) <!nocheck>,
- python3-hypothesis <!nocheck>,
+ python3-cryptography-vectors (<< 1.5.1~),
+ python3-cryptography-vectors (>= 1.5~),
+ python3-hypothesis,
  python3-idna (>= 2.0~),
- python-sphinx-rtd-theme <!nodoc>,
- python3-sphinx <!nodoc>,
- python3-iso8601 <!nocheck>,
- python3-pretend <!nocheck>,
+ python3-iso8601,
+ python3-pretend,
  python3-pyasn1 (>= 0.1.8~),
- python3-pyasn1-modules <!nocheck>,
- python3-pytest <!nocheck>,
- python3-setuptools (>= 11.3~),
+ python3-pyasn1-modules,
+ python3-pytest (>= 2.9.0),
+ python3-setuptools (>= 11.3),
  python3-six (>= 1.4.1~),
+ python3-sphinx,
+ python3-tz,
 Standards-Version: 3.9.8
 Homepage: https://cryptography.io/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cryptography.git
@@ -48,6 +51,7 @@
 Package: python-cryptography
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Breaks: python-openssl (<< 16.0.0)
 Suggests: python-cryptography-doc, python-cryptography-vectors
 Description: Python library exposing cryptographic recipes and primitives (Python 2)
  The cryptography library is designed to be a "one-stop-shop" for
@@ -69,6 +73,7 @@
 Package: python3-cryptography
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Breaks: python3-openssl (<< 16.0.0)
 Suggests: python-cryptography-doc, python3-cryptography-vectors
 Description: Python library exposing cryptographic recipes and primitives (Python 3)
  The cryptography library is designed to be a "one-stop-shop" for
@@ -91,7 +96,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Section: doc
-Build-Profiles: <!nodoc>
 Description: Python library exposing cryptographic recipes and primitives (documentation)
  The cryptography library is designed to be a "one-stop-shop" for
  all your cryptographic needs in Python.

## python-cryptography 1.7.1

=== debian/changelog ===
python-cryptography (1.7.1-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 09 Jun 2017 23:14:39 +0200

python-cryptography (1.7.1-3) unstable; urgency=medium

  * Apply patch 6e7ea2e7 from upstream to fix compilation against OpenSSL
    1.1.0f (closes: #863474).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 28 May 2017 04:20:33 +0200

python-cryptography (1.7.1-2) unstable; urgency=medium

  * Apply upstream patch from #3328 to fix test suite on 32-bit arches.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 19 Dec 2016 19:49:14 +0200

python-cryptography (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 14 Dec 2016 07:59:21 +0200

python-cryptography (1.5.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes a security issue where HKDF would generate a 0-length key when
      asked for a short length key. Urgency medium, because no software in
      Debian appears to be affected.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 08 Nov 2016 05:36:00 +0200

python-cryptography (1.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes failure on OpenSSL 1.0.2j (closes: #839369)

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 01 Oct 2016 17:26:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-cryptography
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -10,36 +9,36 @@
  libssl-dev,
  python-all-dev,
  python-cffi (>= 1.4.1~),
- python-cryptography-vectors (<< 1.5.1~),
- python-cryptography-vectors (>= 1.5~),
+ python-cryptography-vectors (<< 1.7.2~) <!nocheck>,
+ python-cryptography-vectors (>= 1.7.1~) <!nocheck>,
  python-enum34,
- python-hypothesis,
+ python-hypothesis <!nocheck>,
  python-idna (>= 2.0~),
  python-ipaddress,
- python-iso8601,
- python-pretend,
+ python-iso8601 <!nocheck>,
+ python-pretend <!nocheck>,
  python-pyasn1 (>= 0.1.8~),
- python-pyasn1-modules,
- python-pytest (>= 2.9.0),
- python-setuptools (>= 11.3),
+ python-pyasn1-modules <!nocheck>,
+ python-pytest (>= 2.9.0) <!nocheck>,
+ python-setuptools (>= 11.3~),
  python-six (>= 1.4.1~),
- python-sphinx-rtd-theme,
- python-tz,
+ python-sphinx-rtd-theme <!nodoc>,
+ python-tz <!nocheck>,
  python3-all-dev,
  python3-cffi (>= 1.4.1~),
- python3-cryptography-vectors (<< 1.5.1~),
- python3-cryptography-vectors (>= 1.5~),
- python3-hypothesis,
+ python3-cryptography-vectors (<< 1.7.2~) <!nocheck>,
+ python3-cryptography-vectors (>= 1.7.1~) <!nocheck>,
+ python3-hypothesis <!nocheck>,
  python3-idna (>= 2.0~),
- python3-iso8601,
- python3-pretend,
+ python3-iso8601 <!nocheck>,
+ python3-pretend <!nocheck>,
  python3-pyasn1 (>= 0.1.8~),
- python3-pyasn1-modules,
- python3-pytest (>= 2.9.0),
- python3-setuptools (>= 11.3),
+ python3-pyasn1-modules <!nocheck>,
+ python3-pytest (>= 2.9.0) <!nocheck>,
+ python3-setuptools (>= 11.3~),
  python3-six (>= 1.4.1~),
- python3-sphinx,
- python3-tz,
+ python3-sphinx <!nodoc>,
+ python3-tz <!nocheck>,
 Standards-Version: 3.9.8
 Homepage: https://cryptography.io/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cryptography.git
@@ -96,6 +95,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Section: doc
+Build-Profiles: <!nodoc>
 Description: Python library exposing cryptographic recipes and primitives (documentation)
  The cryptography library is designed to be a "one-stop-shop" for
  all your cryptographic needs in Python.

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,29 @@
 export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis
 
 
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+SPHINXDOC=,sphinxdoc
+else
+SPHINXDOC=
+endif
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3$(SPHINXDOC) --buildsystem=pybuild
 
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf cryptography/hazmat/bindings/__pycache__ \
 	       cryptography/hazmat/primitives/__pycache__
+
+
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. \
+	   http_proxy='127.0.0.1:9' \
+	   https_proxy='127.0.0.1:9' \
+	   sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
+endif
 
 
 override_dh_python2:

## python-cryptography 1.9

=== debian/changelog ===
python-cryptography (1.9-1+ubuntu16.04.1+certbot+2) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Oct 2017 08:08:06 +0000

python-cryptography (1.9-1) unstable; urgency=medium

  * New upstream release.
    - Replaced pyasn1 with asn1crypto.
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 20 Jun 2017 21:19:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,43 +3,26 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9.20141010),
+ debhelper (>= 9),
  dh-python (>= 2.20151103),
- dpkg-dev (>= 1.17.14),
  libssl-dev,
  python-all-dev,
+ python-asn1crypto (>= 0.21.0~),
  python-cffi (>= 1.4.1~),
- python-cryptography-vectors (<< 1.7.2~) <!nocheck>,
- python-cryptography-vectors (>= 1.7.1~) <!nocheck>,
  python-enum34,
- python-hypothesis <!nocheck>,
  python-idna (>= 2.0~),
  python-ipaddress,
- python-iso8601 <!nocheck>,
- python-pretend <!nocheck>,
- python-pyasn1 (>= 0.1.8~),
- python-pyasn1-modules <!nocheck>,
- python-pytest (>= 2.9.0) <!nocheck>,
- python-setuptools (>= 11.3~),
+ python-setuptools (>= 11.3),
  python-six (>= 1.4.1~),
  python-sphinx-rtd-theme <!nodoc>,
- python-tz <!nocheck>,
  python3-all-dev,
+ python3-asn1crypto (>= 0.21.0~),
  python3-cffi (>= 1.4.1~),
- python3-cryptography-vectors (<< 1.7.2~) <!nocheck>,
- python3-cryptography-vectors (>= 1.7.1~) <!nocheck>,
- python3-hypothesis <!nocheck>,
  python3-idna (>= 2.0~),
- python3-iso8601 <!nocheck>,
- python3-pretend <!nocheck>,
- python3-pyasn1 (>= 0.1.8~),
- python3-pyasn1-modules <!nocheck>,
- python3-pytest (>= 2.9.0) <!nocheck>,
- python3-setuptools (>= 11.3~),
+ python3-setuptools (>= 11.3),
  python3-six (>= 1.4.1~),
  python3-sphinx <!nodoc>,
- python3-tz <!nocheck>,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://cryptography.io/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cryptography.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cryptography.git

=== debian/rules ===
--- 
+++ 
@@ -33,19 +33,5 @@
 	   sphinx-build -N -b html docs/ $(CURDIR)/.pybuild/docs/html/
 endif
 
-
-override_dh_python2:
-	dh_python2
-	# Remove "cffi" from requires after dh_python has seen it (so that the
-	# pydist file takes effect), because it is not actually needed at
-	# runtime.
-	sed -i '/^cffi/d' \
-	    debian/python-cryptography/usr/lib/python*/dist-packages/cryptography*.egg-info/requires.txt
-
-
-override_dh_python3:
-	dh_python3
-	rm -rf debian/python3-cryptography/usr/lib/python3.?
-	# See comment in override_dh_python2
-	sed -i '/^cffi/d' \
-	    debian/python3-cryptography/usr/lib/python3/dist-packages/cryptography*.egg-info/requires.txt
+# Disable tests for Ubuntu backports
+override_dh_auto_test:
